@import '../../../assets/styles/vars.css';

.brand-nav {
  position: relative;
  @media (--media-min-desktop) {
    &:after {
      content: "";
      border-right: 2px solid #F4F3F4;
      height: 30px;
      position: absolute;
      top: 20px;
      right: 0;
    }
  }

  & .brand-list {
    padding: 0;
    margin: 0;

    @media (--media-min-lg-desktop) {
      display: block;
      visibility: visible;
      list-style: none;
      margin: 0;
      width: 690px;
      overflow: hidden;
      height: 72px;
      margin-right: 10px;
    }

    & .brand {
      height: 100%;
      overflow: hidden;
      display: none;
      float: left;
      @media (--media-min-lg-desktop) {
        display: inline-block;
      }
      &.current svg {
        width: 100%;
        margin-top: 18px;
        @media (--media-min-tablet) {
          width: auto;
        }
      }
    }

    & .le-mag {
      &.current {
        display: inline-block;
        position: relative;
        @media (--media-min-tablet) {
          margin-right: 80px;
        }
        & svg {
          height: 23px;
          display: inline-block;
          color: var(--leMagAlt);
          fill: var(--leMag);

          @media (--media-min-tablet) {
            margin: 22px 22px 22px 22px;
          }
        }
      }
      &:hover {
        & svg {
          color: var(--leMagAlt);
          fill: var(--leMag);
        }
      }
    }
    & .les-influenceuses {
      &.current {
        display: inline-block;
        @media (--media-min-desktop) {
          margin-right: 20px;
        }
        & svg {
          height: 34px;
          margin: 22px 22px 0 22px;
          display: inline-block;
          color: var(--lesInfluenceuesAlt);
          fill: var(--lesInfluenceues);
        }
      }
      &:hover {
        & svg {
          color: var(--lesInfluenceuesAlt);
          fill: var(--lesInfluenceues);
        }
      }
    }
    & .les-testeuses {
      &.current {
        display: inline-block;
        @media (--media-min-desktop) {
          margin-right: 20px;

        }
        & svg {
          height: 34px;
          margin: 22px 22px 0 22px;
          display: inline-block;
          color: var(--lesTesteusesAlt);
          fill: var(--lesTesteuses);
        }
      }
      &:hover {
        & svg {
          color: var(--lesTesteusesAlt);
          fill: var(--lesTesteuses);
        }
      }
    }
    & .les-videos {
      &.current {
        display: inline-block;
        @media (--media-min-desktop) {
          margin-right: 20px;
        }
        & svg {
          height: 23px;
          margin: 22px 22px 22px 22px;
          display: inline-block;
          color: var(--lesVideosAlt);
          fill: var(--lesVideos);
        }
      }
      &:hover {
        & svg {
          color: var(--lesVideosAlt);
          fill: var(--lesVideos);
        }
      }
    }
    & .cuisine-actuelle {
      &.current {
        display: inline-block;
        @media (--media-min-desktop) {
          margin-right: 20px;
        }
        & svg {
          height: 23px;
          margin: 22px 22px 22px 22px;
          display: inline-block;
          fill: var(--cuisineActuelle);
        }
      }
      &:hover {
        & svg {
          fill: var(--cuisineActuelle);
        }
      }
    }

    & .brand svg {
      height: 15px;
      color: var(--megaLtGrey);
      fill: var(--megaLtGrey);
      @media (--media-min-desktop) {
        margin: 29px 0 0 20px;
      }
    }
    & .brand.sub-title {
      & svg {
        height: 25px;
      }
      & .mask {
        display: block;
        height: 45px;
        overflow: hidden;
      }
      &:hover .mask {
        overflow: visible;
      }
    }
  }
}

.logo-section {
  position: relative;

  & .brand-switcher {
    display: none;
    visibility: hidden;

    &.visible {
      background-color: var(--megaBg);
      display: block;
      visibility: visible;
      list-style: none;
      padding-left: 0;
      position: fixed;
      top: 0;
      left: 0;
      right: 0;
      width: 100vw;
      z-index: 102;
      border-bottom: 1px solid #F2F3F6;

      @media (--media-min-tablet) {
        position: absolute;
        margin-top: 10px;
        width: 320px;
        border: 1px solid #F2F3F6;
        box-shadow: 0 2px 4px 0 rgba(145, 145, 145, 0.5);
        height: 605px;
      }

      & .cta {
        color: #222C31;
        font-size: 12px;
        line-height: 20px;
        text-align: center;
        position: relative;
        margin-top: 10px;

        & .full-logo {
          display: inline-block;
          visibility: visible;
        }

        & hr {
          border-bottom: 1px solid #222C31;
          margin: 0 auto 10px auto;
          width: 50px;
        }

        & .close {
          position: absolute;
          top: 0px;
          right: 10px;
        }
      }

      & .cta-text {
        text-transform: uppercase;
        margin-bottom: 0;
      }

      & .brand-list {
        list-style: none;
        padding-left: 0;

        & .brand {
          padding: 20px;
          display: block;
          margin: 5px 10px;
          background-size: cover;

          & svg {
            width: 260px;
            display: block;
            height: 60px;
            margin: 0 auto;
            border: 2px solid var(--megaBg);
            border-radius: 4px;
            background-color: rgba(255, 255, 255, 0.9);
          }

          &.le-mag {
            background-image: url("../images/backgrounds/le-mag1.jpg");
            transition: background-color 400ms;
            &.current,
            &:hover {
              background-color: var(--leMagAlt);
              background-blend-mode: multiply;
              opacity: 0.9;
              & svg {
                color: var(--megaBg);
                fill: var(--megaBg);
                background-color: transparent;
                border: 2px solid transparent;
              }
            }
            & svg {
              padding: 10px 15px 15px 15px;
              color: var(--leMagAlt);
              fill: var(--leMag);
            }
          }
          &.les-influenceuses {
            background-image: url("../images/backgrounds/les-influenceuses1.jpg");

            &.current,
            &:hover {
              background-color: var(--lesInfluenceues);
              background-blend-mode: multiply;
              opacity: 0.95;
              & svg {
                color: var(--megaBg);
                fill: var(--megaBg);
                background-color: transparent;
                border: 2px solid transparent;
              }
            }
            & svg {
              padding: 14px 0 19px 0;
              color: var(--lesInfluenceuesAlt);
              fill: var(--lesInfluenceues);
            }
          }
          &.les-testeuses {
            background-image: url("../images/backgrounds/les-testeuses1.jpg");
            &.current,
            &:hover {
              background-color: var(--lesTesteuses);
              background-blend-mode: multiply;
              opacity: 0.9;
              & svg {
                color: var(--megaBg);
                fill: var(--megaBg);
                background-color: transparent;
                border: 2px solid transparent;
              }
            }
            & svg {
              padding: 14px 0 19px 0;
              color: var(--lesTesteusesAlt);
              fill: var(--lesTesteuses);
            }
          }
          &.les-videos {
            background-image: url("../images/backgrounds/les-videos1.jpg");
            .no-background-blend-mode & {
              background-image: url("../images/backgrounds/les-videos2.jpg");
            }
            &.current,
            &:hover {
              background-color: var(--lesVideos);
              background-blend-mode: multiply;
              opacity: 0.9;
              & svg {
                color: var(--megaBg);
                fill: var(--megaBg);
                background-color: transparent;
                border: 2px solid transparent;
              }
            }
            & svg {
              padding: 15px;
              color: var(--lesVideosAlt);
              fill: var(--lesVideos);
            }
          }
          &.cuisine-actuelle {
            background-image: url("../images/backgrounds/cuisine-actuelle1.jpg");
            &.no-background-blend-mode {
              background-image: url("../images/backgrounds/cuisine-actuelle2.jpg");
            }
            &.current,
            &:hover {
              background-color: var(--cuisineActuelle);
              background-blend-mode: multiply;
              opacity: 0.8;
              & svg {
                color: var(--megaBg);
                fill: var(--megaBg);
                background-color: transparent;
                border: 2px solid transparent;
              }
            }
            & svg {
              padding: 14px 0 19px 0;
              fill: var(--cuisineActuelle);
            }
          }
        }

        &.no-background-blend-mode {
          & .le-mag.current {
            background-image: url("../images/backgrounds/le-mag2.jpg");
          }
          & .les-influenceuses.current {
            background-image: url("../images/backgrounds/les-influenceuses2.jpg");
          }
          & .les-testeuses.current {
            background-image: url("../images/backgrounds/les-testeuses2.jpg");
          }
          & .les-videos.current {
            background-image: url("../images/backgrounds/les-videos2.jpg");
          }
          & .cuisine-actuelle.current {
            background-image: url("../images/backgrounds/cuisine-actuelle2.jpg");
          }
        }
      }
    }
  }
}